/* Import all general stylesheets */

@import url("variables.css");
@import url("style-presets.css");
@import url("layout-presets.css");



/* Generall Styles Throughout Page */



/* Header */
.above-header {
  background-color: var(--blue);
  color: white;
  padding: var(--padding-small) var(--padding);
}

.above-left {
  display: none;
}

.above-header span {
  display: none;
}

.above-header a {
  color: white;
  font-weight: 300;
  font-size: 1rem;
}

.header-contact {
  justify-content: space-between;
}

/* Nav */
.nav-container {
  background-color: var(--white);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 30px;
}

.header-logo-box {
  padding: 1rem 0;
}

.header-logo {
  height: 60px;
}

.main-nav-bar {
  background-image: url("../../images/general/bathroom_sanitaer-adam.jpg"); 
  background-position: right;
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  padding: 1.5rem 0 2rem 1rem;
  transform-origin: center;
  z-index: 1000;

}

.logo-mobile-nav {
  height: 60px;
  margin-bottom: 1.5rem;
}

#mobile-nav-close {
  text-align: right;
  width: 100%;
  background-color: transparent;
  color: var(--blue);
}

#mobile-nav-close i {
  font-size: 2.5rem;
  padding: 2rem;
}

.main-nav {
  background: rgba(255, 255, 255, 0.2);
  border-radius: 16px 0 0 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);

}

.main-nav-list {
  padding: 1rem 0;
}

.main-nav-list li {
  margin: 20px 0;
  background-color: rgba(0, 77, 140, 0.9);
}

a.main-nav-link {
  color: white;
  font-size: 1.6rem;
  font-weight: 400;
  padding: 0.8rem 2rem;
  display: block;
  text-align: right;
}

/* Nav Mobile Burger btn */
#mobile-nav-trigger {
  background-color: transparent;
}

#mobile-nav-trigger i {
  font-size: 2rem;
  color: var(--blue);
  padding-right: var(--padding);
}

#mobile-nav-trigger i:hover {
  transform: scale(1.1);
  transform: skew(-.312rad);
  transition: 0.24s;
}

/* Footer */
.above-footer {
  padding:  1rem;
}

.footer-logo {
  max-width: 150px;
  padding-bottom: 10px;
}

.above-footer p {
  color: var(--blue);
  line-height: 1.2;
}

/* Main Footer */
.footer-container {
  display: grid;
  grid-template-rows: 3fr 1fr 3fr;
  background-color: var(--blue);
  padding: 2rem 0;
}

.footer-box {
  padding: var(--padding);
}

.footer-container p {
  color: white;
}

p.footer-name {
  font-size: 1.4rem;
  padding-bottom: 10px;
}
/* Footer Nav */
a.footer-nav-link {
  color: white;
  font-size: 1.4rem;
}

/* Impressum */
.sub-footer {
  background-color: var(--blue);
  padding:  1rem;

}
a.link-impressum {
  color: var(--white);
  font-size: var(--text-small);
 
}





 /*! Medium devices (tablets) */
@media screen and (min-width: 768px) { 



  .footer-container {
  
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 1fr 1fr;
  }

  footer .above-footer, .footer-box, .sub-footer {
    padding: 20px 40px;
  }
  
  
}

/*! Large devices (desktop) */
@media screen and (min-width: 992px) {

  /* header */

  .above-header {
    padding: 10px 30px;
  }
  .header-logo-box {
    display: flex;
    justify-content: flex-end;
  padding-left: 30px;
  }


  


  /* Navigation */

  .nav-container {
    display: grid;
    grid-template-columns: 1fr 5fr;
    padding: 0;
  }

  .main-nav {
    background: none;
    border-radius: 0;
    box-shadow: none;
    backdrop-filter: blur(0);
    -webkit-backdrop-filter: blur(0);
    width: 100%;

  }

  .main-nav-bar {
    display: flex;
    width: 100%;
    background-image: none;
    position: static;
    padding: 0;
  }


.main-nav-list {
  display: flex;
  justify-content: flex-end;
  padding: 0;
 
}

  .main-nav-list li {
    padding-right: 2rem;
    background-color: transparent;
  }

  a.main-nav-link {
    font-weight: 300;
    display: inline-block;
    color: var(--darkgrey) ;

  }

  a.main-nav-link:hover, a.main-nav-link.active {
    color: var(--blue);
    transition: 0.24s;
   
  }

  a.main-nav-link.red-link:hover, a.main-nav-link.active.red-link {
    color: var(--red);
    transition: 0.24s;
   
  }

  a.main-nav-link::after {
    content: ' ';
    background-color: var(--red);
    height: 3px;
    width: 50%;
    display: block;
    opacity: 0;
  }

  a.main-nav-link:hover::after {
    width: 100%;
    transition: 0.24s;
    background-color: var(--blue);
    opacity: 1;
  }

  a.main-nav-link.red-link:hover::after {
    background-color: var(--red);
  }

 

  




  #mobile-nav-trigger, #mobile-nav-close, .logo-mobile-nav {
    display: none;
  }
  

  /* Footer  */
  .above-footer {
    margin-top:70px;
    margin-bottom: 20px;

max-width: 1200px;
  }

  .footer-container {
    padding-top: 80px;
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 40px  2fr 0 2fr 40px ;
 


  }
  .footer-box {
    padding: 0;
  }

  .footer-box:first-of-type {
    grid-column: 2 / span 1;
  }

  .footer-nav {
    text-align: right;
  }


  .sub-footer {
    padding: 1rem 40px;
    
  }


 }